﻿using System.Collections.ObjectModel;
using System.Windows;
using System.Windows.Input;

namespace ClickCommandDemo
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public static RoutedCommand MyDoubleClickCommand = new RoutedCommand("MyDoubleClickCommand", typeof(Window1));

        private readonly ObservableCollection<string> persons;        
        public ObservableCollection<string> Persons
        {
            get { return this.persons; }
        }

        public Window1()
        {
            InitializeComponent();

            this.persons = new ObservableCollection<string>();
            this.persons.Add("Jeremy Alles");
            this.persons.Add("Fanny Pitrat");

            this.listbox.DataContext = this.persons;

            this.CommandBindings.Add(new CommandBinding(
                                         MyDoubleClickCommand,
                                         MyDoubleClickCommand_Execute));
        }

        private void MyDoubleClickCommand_Execute(object sender, ExecutedRoutedEventArgs e)
        {
            MessageBox.Show("DoubleClick ! (parameter: " + e.Parameter + ")");
        }
    }
}
